# -*- coding: utf-8 -*-
from brightway.apps.inventory.models import *
from brightway.tests.lca_test_case import LCATestCase
from django.test.client import Client

class UITestCase(LCATestCase):
    '''Test basic Process user interface.'''
    def test_get_view_url(self):
        # Client stuff can be abstracted when we figure out the genreal pattern
        client = Client()
        # Can also test the redirect if not authenticated
        client.login(username="test admin", password="admin")
        process = Process.objects.all()[0]
        response = client.get(process.get_view_url())
        self.assertEqual(response.status_code, 200)
