class CacheDirectoryError(OSError):
    """I/O error writing or reading from cache directory"""
    pass

class CacheError(StandardError):
    """Base class for no accessible cache errors"""
    pass

class CacheExpired(CacheError):
    """Cache is expired"""
    pass

class CacheMissing(CacheError):
    """Request cache file does not exist"""
    pass