class LCASetupError(StandardError):
    pass

class LCAOperationalError(StandardError):
    pass

class NeedInheritanceError(StandardError):
    """The selected databases use inheritance, but use_inheritance is set to False. This will result in incorrect inventories being constructed."""
    pass

class MultipleLCIAGeographyDatabases(StandardError):
    pass

class GeographyDatabaseNotFound(StandardError):
    pass

class DecompositionError(StandardError):
    """The technosphere matrix couldn't be decomposed. Is UMFpack installed?"""
    pass

class ZeroLCAScoreError(StandardError):
    """The LCA had a score equal to zero"""
    pass