import os
from scipy import sparse, io

def export_as_row_col(matrix, filepath, filename):
    # Exporting to binary is preferable
    f = open(os.path.join(filepath, filename), "w")
    coo = matrix.tocoo()
    if not len(coo.col) == len(coo.row) == len(coo.data):
        raise AttributeError
    
    for index, data in enumerate(coo.data):
        f.write("%i\t%i\t%e\n" % (coo.row[index], coo.col[index], data))
    
    f.close()


    